#
# spec file for package nautilus (Version 2.30.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Starting with openSUSE 11.3 we use tracker instead of beagle
%define use_tracker 0%{suse_version} >= 1130

Name:           nautilus
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  gnome-desktop-devel
BuildRequires:  gnome-icon-theme
BuildRequires:  gnome-patch-translation
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  libexempi-devel
BuildRequires:  libexif-devel
BuildRequires:  libunique-devel
BuildRequires:  libxml2-devel
# nautilus doesn't need the BuildRequires to build its modules for tracker and
# beagle. But we keep this below for reference -- it's commented out to avoid
# build loops.
#%if %use_tracker
#BuildRequires:  tracker-devel
#%else
#BuildRequires:  libbeagle-devel
#%endif
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
License:        GPLv2+
Group:          Productivity/File utilities
Version:        2.30.1
Release:        3
Summary:        The GNOME 2.x Desktop File Manager
Source:         ftp://ftp.gnome.org/pub/gnome/sources/nautilus/2.20/%{name}-%{version}.tar.bz2
# fate#308344 bgo#602147
Source1:        mount-archive.desktop
Source99:       baselibs.conf
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# PATCH-FIX-UPSTREAM nautilus-bgo350950-search-desktop.diff bgo350950 federico@novell.com -- add a desktop file for Nautilus search interface
Patch4:         nautilus-bgo350950-search-desktop.diff
# PATCH-FIX-UPSTREAM nautilus-bnc117333-bgo350962-folder-icon-for-menus-and-windows.diff bnc117333 bgo350962 bgo581584 federico@novell.com - Use a folder icon instead of a file cabinet window
Patch5:         nautilus-bnc117333-bgo350962-folder-icon-for-menus-and-windows.diff
# PATCH-NEEDS-REBASE nautilus-146947-rename-bad-parameters-message.diff bgo350976 bnc146947 federico@novell.com -- The upstream bug is still open, so we need to check if it's still needed (you just need a samba share to test). If yes, we should port the patch to gio
Patch9:         nautilus-146947-rename-bad-parameters-message.diff
# PATCH-NEEDS-REBASE nautilus-drives-and-volumes-on-desktop.diff bnc335411 federico@novell.com
Patch15:        nautilus-drives-and-volumes-on-desktop.diff
# PATCH-FIX-OPENSUSE nautilus-bnc363122-lockdown-context-menus.diff bnc363122 federico@novell.com
Patch20:        nautilus-bnc363122-lockdown-context-menus.diff
# PATCH-NEEDS-REBASE nautilus-sysadmin-desktop-items.diff fate305252 federico@novell.com -- Support sysadmin-defined desktop items (was PATCH-FEATURE-OPENSUSE)
Patch21:        nautilus-sysadmin-desktop-items.diff
# PATCH-FIX-UPSTREAM nautilus-boot-order.patch bgo#619841 sshaw@decriptor.com -- From SLED w/o sreadahead. Delays applets
Patch22:        nautilus-boot-order.patch
Requires:       %{name}-lang = %{version}
# So that symlinks to icons work:
Requires:       gnome-desktop gnome-icon-theme
Recommends:     gvfs
Provides:       nautilus2 = %{version}
Obsoletes:      nautilus2 < %{version}
%gconf_schemas_prereq

%description
This package contains Nautilus, the advanced file manager for the GNOME
2.x Desktop platform.



%package devel
License:        GPLv2+
Summary:        Development Package for Nautilus
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} glib2-devel gtk2-devel
Provides:       nautilus2-devel = %{version}
Obsoletes:      nautilus2-devel < %{version}

%description devel 
This package contains all files needed to develop programs that use
features of the Nautilus file manager.



%lang_package
%prep
%setup -q
translation-update-upstream
gnome-patch-translation-prepare
%patch4 -p1
%patch5 -p1
#%patch9 -p0
### %patch15 -p1
%patch20 -p1
#%patch21 -p1
%patch22 -p1
gnome-patch-translation-update

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure\
	--disable-update-mimedb \
	--enable-gtk-doc
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1110
%{__rm} %{buildroot}%{_datadir}/locale/ha/LC_MESSAGES/*
%{__rm} %{buildroot}%{_datadir}/locale/ig/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
rm $RPM_BUILD_ROOT/%{_libdir}/*.*a
### ln -s ../icons/gnome/24x24/devices/gnome-fs-client.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
# FIXME: this is probably wrong, but it enables the build to succeed for now
# ln -s ../icons/gnome/24x24/devices/gnome-computer.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
ln -s ../icons/gnome/24x24/actions/system-search.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
ln -s ../icons/gnome/24x24/places/user-home.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
%suse_update_desktop_file nautilus
%suse_update_desktop_file nautilus-autorun-software
%suse_update_desktop_file nautilus-browser
%suse_update_desktop_file nautilus-computer
%suse_update_desktop_file nautilus-file-management-properties System FileManager X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file nautilus-folder-handler
%suse_update_desktop_file nautilus-home
%suse_update_desktop_file nautilus-search
%suse_update_desktop_file network-scheme
# Install the archive mime handler
test ! -e %{buildroot}%{_datadir}/applications/mount-archive.desktop
%{__install} -m0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/mount-archive.desktop
%suse_update_desktop_file mount-archive
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/nautilus/extensions-2.0
%find_lang %{name}
%find_gconf_schemas
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%post
/sbin/ldconfig
if test -x usr/bin/update-mime-database ; then
    usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
/sbin/ldconfig
if test -x usr/bin/update-mime-database ; then
    usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog MAINTAINERS NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/nautilus
%{_datadir}/pixmaps/nautilus
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/hicolor/*/*/*.*
%{_libdir}/*.so.*
%{_libexecdir}/nautilus-convert-metadata
%doc %{_mandir}/man1/nautilus*.1.gz
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-2.0

%files lang -f %{name}.lang

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/*

%changelog
